RDKit: ForceFields::MMFF::MMFFAngleCollection Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ForceFields::MMFF::MMFFAngleCollection Class Reference

`#include <Params.h>`

## Public Member Functions
const MMFFAngle * | operator() (const MMFFDefCollection *mmffDef, const unsigned int angleType, const unsigned int iAtomType, const unsigned int jAtomType, const unsigned int kAtomType) const
| Looks up the parameters for a particular key and returns them.
| MMFFAngleCollection (std::string mmffAngle="")

## Public Attributes
std::vector< MMFFAngle > | d_params
| the parameter vector
std::vector< std::uint8_t > | d_iAtomType
| atom type vector for atom i
std::vector< std::uint8_t > | d_jAtomType
| atom type vector for atom j
std::vector< std::uint8_t > | d_kAtomType
| atom type vector for atom k
std::vector< std::uint8_t > | d_angleType
| angle type vector for angle i-j-k

## Detailed Description

Definition at line 507 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## ◆ MMFFAngleCollection()

ForceFields::MMFF::MMFFAngleCollection::MMFFAngleCollection | ( | std::string | mmffAngle = "" | ) |

References d_params.

## Member Function Documentation

## ◆ operator()()

const MMFFAngle * ForceFields::MMFF::MMFFAngleCollection::operator() | ( | const MMFFDefCollection * | mmffDef,
|  | const unsigned int | angleType,
|  | const unsigned int | iAtomType,
|  | const unsigned int | jAtomType,
|  | const unsigned int | kAtomType ) const
| inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFAngle object, NULL on failure.

Definition at line 513 of file MMFF/Params.h.

References d_angleType, d_iAtomType, d_jAtomType, d_kAtomType, and d_params.

## Member Data Documentation

## ◆ d_angleType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFAngleCollection::d_angleType

angle type vector for angle i-j-k

Definition at line 597 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_iAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFAngleCollection::d_iAtomType

atom type vector for atom i

Definition at line 594 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_jAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFAngleCollection::d_jAtomType

atom type vector for atom j

Definition at line 595 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_kAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFAngleCollection::d_kAtomType

atom type vector for atom k

Definition at line 596 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_params

std::vector<MMFFAngle> ForceFields::MMFF::MMFFAngleCollection::d_params

the parameter vector

Definition at line 593 of file MMFF/Params.h.

Referenced by MMFFAngleCollection(), and operator()().

The documentation for this class was generated from the following file:

- MMFF/Params.h